Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Thu, 20 Mar 2014 20:25:36 +0000

martin rudalics writes:
 > Very good.  It's still a complete mystery to me how the title line can
 > disappear.  Usually this happens only when the window manager thinks
 > (because Emacs told him) that the frame is fullscreen.
 > 

Even when I maximize (with a unbuggy frame) I still see the title
line, is this windows vs kde? I can't see anything in kde system
settings which might affect this.

>  > I'm running with a fairly standard kde plasma desktop - so the bit
 >  > above the menu bar is all missing (and the left hand frame is the
 >  > faulty one)
 >  >
 >  >
 >  >  > And what happens when you maximize the
 >  >  > frame and restore its normal size immediately afterwards?
 >  >  >
 >  >
 >  > Ah now that's interesting! When I maximize - selecting the relevant
 >  > frame in the toolbar and using that popup WM menu option (I've also
 >  > tried using M-<f10> and get the same result) the frame moves to the
 >  > top left of the screen but *doesn't* maximise it remains (AFAICT)
 >  > the same size and the minibuffer now disappears!
 > 
 > Sorry. How can a non-existent minibuffer disappear?
 > 

Sorry the context is after putting desktop-restore-frames to nil _on
startup_ the frame came up ok (as I said in the snipped bit of the
message you were replying to:

      Unfortunately after Juanma's suggested change (and then reverting it
      and an emacs restart) I get the frame *with* a minibuffer but without
      the window decorations.)

so it is there at startup but on 'maximize' (which isn't really
maximize) it disappears.

Having just tried it again (and the exit put desktop-saved-frameset
back). I'm again getting a single frame with no decorations and no
minibuffer I'll save that desktop file - it looks to me as if there's
only one frame now in the desktop file (at least there's only one
frameset--id which I assume is the determinant)

(setq desktop-saved-frameset [frameset 1 (21291 19570 712781 440000) (desktop . "206") "robert@poulenc" nil nil ((((font-backend xft x) (font . "-unknown-Inconsolata-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1") (font-parameter . "Inconsolata-12") (border-width . 0) (internal-border-width . 0) (right-divider-width . 0) (bottom-divider-width . 0) (vertical-scroll-bars . right) (foreground-color . "DarkOrchid1") (background-color . "mint cream") (mouse-color . "#221f1e") (border-color . "black") (screen-gamma) (line-spacing) (left-fringe . 8) (right-fringe . 8) (scroll-bar-foreground . "#221f1e") (scroll-bar-background . "grey75") (menu-bar-lines . 1) (tool-bar-lines . 1) (title) (wait-for-wm . t) (fullscreen) (tool-bar-position . top) (icon-type . t) (auto-raise) (auto-lower) (cursor-type . box) (scroll-bar-width . 16) (alpha . 90) (horizontal-scroll-bars . t) (display-type . color) (background-mode . light) (cursor-color . "#221f1e") (sticky) (environment) (frameset--id . "DA9D-E03E-DF32-EAB7") (frameset--mini t . t) (modeline . t) (minibuffer . t) (unsplittable) (icon-name) (visibility . icon) (display . ":0") (explicit-name) (height . 30) (width . 120)) ((min-height . 8) (min-width . 10) (min-height-ignore . 4) (min-width-ignore . 6) (min-height-safe . 2) (min-width-safe . 2) (min-pixel-height . 144) (min-pixel-width . 80) (min-pixel-height-ignore . 72) (min-pixel-width-ignore . 48) (min-pixel-height-safe . 36) (min-pixel-width-safe . 16)) vc (pixel-width . 992) (pixel-height . 522) (total-width . 124) (total-height . 29) (normal-height . 1.0) (normal-width . 1.0) (combination-limit) (leaf (pixel-width . 992) (pixel-height . 275) (total-width . 124) (total-height . 15) (normal-height . 0.5172413793103448) (normal-width . 1.0) (buffer "WikipediaApplet.cpp" (selected . t) (hscroll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars 16 2 t nil) (vscroll . 0) (dedicated) (point . 20906) (start . 20858))) (leaf (last . t) (pixel-width . 992) (pixel-height . 247) (total-width . 124) (total-height . 14) (normal-height . 0.4827586206896552) (normal-width . 1.0) (buffer ".emacs" (selected) (hscroll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars 16 2 t nil) (vscroll . 0) (dedicated) (point . 3612) (start . 3165)))))])

Robert
-- 
Links and things http://rmstar.blogspot.com/
Robert Marshall